> ## Documentation Index
> Fetch the complete documentation index at: https://wb-21fd5541-sdk-testing-latest.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# API 概要

> 認証の詳細とともに、chat completions、Models、トレーニング ジョブ、ヘルスチェック用の Serverless Training API エンドポイントを確認できます。

<Note>
  Serverless Training API は、サーバーレスの強化学習 (RL) や教師ありファインチューニング (SFT) を含む、トレーニング ジョブを管理するためのエンドポイントを提供します。この API は、chat completions について OpenAI 互換です。
</Note>

このリファレンスでは、認証要件、ベース URL、chat completions、Models、トレーニング ジョブ、ヘルスチェックの利用可能なエンドポイントを確認できます。

<div id="authentication">
  ## 認証
</div>

すべてのAPIリクエストでは、W\&BのAPIキーを使用した認証が必要です。APIキーは [wandb.ai/settings](https://wandb.ai/settings) で作成してください。

`Authorization` ヘッダーにAPIキーを含めてください。

```http theme={null}
Authorization: Bearer YOUR_API_KEY
```

<div id="base-url">
  ## ベース URL
</div>

```text theme={null}
https://api.training.wandb.ai/v1
```

<div id="available-endpoints">
  ## 利用可能なエンドポイント
</div>

<div id="chat-completions">
  ### chat-completions
</div>

* **[POST /v1/chat/completions](https://docs.wandb.ai/serverless-training/api-reference/chat-completions/create-chat-completion-1)** - Chat Completion を作成
* **[POST /v1/chat/completions/](https://docs.wandb.ai/serverless-training/api-reference/chat-completions/create-chat-completion)** - Chat Completion を作成

<div id="models">
  ### モデル
</div>

* **[POST /v1/preview/models](https://docs.wandb.ai/serverless-training/api-reference/models/create-model)** - モデルを作成
* **[DELETE /v1/preview/models/{model_id}](https://docs.wandb.ai/serverless-training/api-reference/models/delete-model)** - モデルを削除
* **[DELETE /v1/preview/models/{model_id}/checkpoints](https://docs.wandb.ai/serverless-training/api-reference/models/delete-model-checkpoints)** - モデル チェックポイントを削除
* **[GET /v1/preview/models/{model_id}/checkpoints](https://docs.wandb.ai/serverless-training/api-reference/models/list-model-checkpoints)** - モデル チェックポイントを一覧表示
* **[POST /v1/preview/models/{model_id}/log](https://docs.wandb.ai/serverless-training/api-reference/models/log)** - ログ

<div id="training-jobs">
  ### トレーニング ジョブ
</div>

* **[POST /v1/preview/sft-training-jobs](https://docs.wandb.ai/serverless-training/api-reference/training-jobs/create-sft-training-job)** - SFTトレーニング ジョブを作成
* **[POST /v1/preview/training-jobs](https://docs.wandb.ai/serverless-training/api-reference/training-jobs/create-rl-training-job)** - RLトレーニング ジョブを作成
* **[GET /v1/preview/training-jobs/{training_job_id}](https://docs.wandb.ai/serverless-training/api-reference/training-jobs/get-training-job)** - トレーニング ジョブを取得
* **[GET /v1/preview/training-jobs/{training_job_id}/events](https://docs.wandb.ai/serverless-training/api-reference/training-jobs/get-training-job-events)** - トレーニング ジョブのイベントを取得

<div id="health">
  ### ヘルス
</div>

* **[GET /v1/health](https://docs.wandb.ai/serverless-training/api-reference/health/health-check)** - ヘルスチェック
* **[GET /v1/system-check](https://docs.wandb.ai/serverless-training/api-reference/health/system-check)** - システムチェック

<div id="related-resources">
  ## 関連リソース
</div>

* [Serverless Training の概要](/ja/serverless-training)
* [前提条件](/ja/serverless-training/prerequisites)
* [Serverless SFT](/ja/serverless-training/sft)
* [トレーニング済みモデルを使用する](/ja/serverless-training/use-trained-models)
* [利用可能なモデル](/ja/serverless-training/available-models)
* [使用制限](/ja/serverless-training/usage-limits)
